Name:          gif89encoder
Version:       0.90
Release:       %mkrel 0.0.b.11
Summary:       Java class library for encoding GIF's
Group:         Development/Java
License:       BSD
Url:           http://jmge.net/java/gifenc/
Source0:       http://jmge.net/java/gifenc/Gif89Encoder090b.zip
Source1:       gif89encoder-0.90b.pom
Patch0:        gif89encoder-0.90-javadoc.patch

BuildArch:     noarch

BuildRequires: ant
BuildRequires: java-devel
BuildRequires: javapackages-local
BuildRequires: java

%description
This Java class library for encoding GIFs is likely to be of
utility to many other programmers. It covers more of the extended
GIF89a feature set, including animation and embedded textual
comments, than any other free Java GIF encoder.

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description   javadoc
Gif89Encoder - Java class library for encoding GIF's.

This package contains javadoc for %{name}.

%prep
%setup -q -c
%autopatch -p1

for j in $(find . -name "*.jar"); do
	rm -rf $j
done

%build
mkdir -p classes
mkdir -p javadocs

%javac \
	-d classes \
	`find src -name "*.java"`

%jar \
	cf gif89encoder.jar \
	-C classes .

%javadoc \
	-d javadocs \
	-encoding iso-8859-1 \
	`find src -name "*.java"`
	
%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 gif89encoder.jar \
	%{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-gif89encoder.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr javadocs/* %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%doc readme.txt

%files javadoc
%{_javadocdir}/%{name}/


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.90-0.0.b.11.mga8
+ Revision: 1501441
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.90-0.0.b.10.mga7
+ Revision: 1278407
- Mageia 7 Mass Rebuild

* Thu Sep 28 2017 daviddavid <daviddavid> 0.90-0.0.b.9.mga7
+ Revision: 1161192
- add BR javapackages-local to fix build

* Tue Feb 09 2016 cjw <cjw> 0.90-0.0.b.8.mga6
+ Revision: 952979
- patch0: fix a javadoc build error
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Jan 21 2015 daviddavid <daviddavid> 0.90-0.0.b.7.mga5
+ Revision: 811800
- use .mfiles generated during build
- update Requires
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 0.90-0.0.b.6.mga5
+ Revision: 744567
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90-0.0.b.5.mga5
+ Revision: 679565
- Mageia 5 Mass Rebuild

* Thu Dec 19 2013 dmorgan <dmorgan> 0.90-0.0.b.4.mga4
+ Revision: 558854
- Use new maven rpm macros
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.90-0.0.b.2.mga3
+ Revision: 351545
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 dmorgan <dmorgan> 0.90-0.0.b.1.mga2
+ Revision: 147836
- Adapt to mageia guidelines
+ gil <gil>
- imported package gif89encoder


* Fri Jul 15 2011 gil <gil> 0.90-0.%%mkrel
- initial rpm

